<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1discriminant__pca.html">discriminant_pca</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::discriminant_pca&lt; matrix_type &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_to_between_class_variance</b>(const matrix_exp&lt; EXP1 &gt; &amp;x, const matrix_exp&lt; EXP2 &gt; &amp;y) (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_to_total_variance</b>(const matrix_exp&lt; EXP &gt; &amp;x) (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>add_to_within_class_variance</b>(const matrix_exp&lt; EXP1 &gt; &amp;x, const matrix_exp&lt; EXP2 &gt; &amp;y) (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>between_class_weight</b>() const (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>between_count</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>between_cov</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>between_weight</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>clear</b>() (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>column_matrix</b> typedef (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>compute_dpca_matrix</b>(general_matrix &amp;dpca_mat, general_matrix &amp;eigenvalues, const double eps, long num_rows) const (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>deserialize</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>discriminant_pca</b>() (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>dpca_matrix</b>(const double eps=0.99) const (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>dpca_matrix</b>(general_matrix &amp;dpca_mat, general_matrix &amp;eigenvalues, const double eps=0.99) const (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>dpca_matrix_of_size</b>(const long num_rows) (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>dpca_matrix_of_size</b>(general_matrix &amp;dpca_mat, general_matrix &amp;eigenvalues, const long num_rows) (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>general_matrix</b> typedef (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html#abff49b5b930a360f5fbcb232fec0ebc4">get_total_covariance_matrix</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>in_vector_size</b>() const (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>layout_type</b> typedef (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mem_manager_type</b> typedef (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator+</b>(const discriminant_pca &amp;item) const (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator+=</b>(const discriminant_pca &amp;rhs) (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>scalar_type</b> typedef (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>serialize</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_between_class_weight</b>(scalar_type weight) (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_within_class_weight</b>(scalar_type weight) (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>swap</b>(discriminant_pca &amp;item) (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>total_count</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>total_cov</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>total_sum</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>vect_size</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>within_class_weight</b>() const (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>within_count</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>within_cov</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>within_weight</b> (defined in <a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1discriminant__pca.html">dlib::discriminant_pca&lt; matrix_type &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
